#ifndef _HG_DATUM_H_
#define _HG_DATUM_H_

namespace HG //Beginn des Namensraumes
{

//==============================================================
// Klasse Datum
//==============================================================
class Datum
{
  //------------------------------------------------------------
  // Methoden 
  //------------------------------------------------------------
  public:
     void set       (int pTag, int pMonat, int pJahr);
     long getAsLong (void);

  //------------------------------------------------------------
  // Methoden: Getter und Setter 
  //------------------------------------------------------------
  public:
    int  getTag   (void);
    void setTag   (int pTag);
    int  getMonat (void);
    void setMonat (int pMonat);
    int  getJahr  (void);
    void setJahr  (int pJahr);

  //------------------------------------------------------------
  // Methoden, intern
  //------------------------------------------------------------
  private:
    void correct (void);

  //------------------------------------------------------------
  // Member
  //------------------------------------------------------------
  private:
    int nTag;
    int nMonat;
    int nJahr;

    bool bDirty;
};

} // Ende des Namensraumes
#endif